package coach_client

import (
	"context"
	"testing"

	"gitea.timerzz.com/kedaya_haitao/common/pkg/proxy"
)

func TestClient(t *testing.T) {
	subs := []string{"https://us.timerzz.com:26106/vmess/sub"}
	pool := proxy.NewProxyPool(subs)
	client := USClient(pool)
	resp, err := client.RequestProductDetail(context.Background(), "CU808-CHK")
	if err != nil {
		t.Fatal(err)
	}
	t.Log(resp)
}
